Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Class LDFeatureContainer

    java.lang.Object
      org.ensembl.variation.datamodel.LDFeatureContainer

public class LDFeatureContainer
extends java.lang.Object

A container for LDFeatures (linkage disequilibrium features) that provides various methods for filtering and accessing the the contained data. Instances of this class can be created manually from a List of LDFeatures and are created by LDFeatureAdaptors.

Author:
  Craig Melsopp
See Also:
  `LDFeature`, `adaptor which can create instances of this class.`

Constructor Summary
`LDFeatureContainer(java.util.List ldFeatures)` Create a container for the specified LD features.

Method Summary
`Population` | `getDefaultPopulation()` The default population is the population with the maximum number of LDFeatures.
`java.util.List` | `getLDFeatures()` All LDFeatures held in this container.
`java.util.List` | `getLDFeatures(Population population)` Subset of contained LDFeatures that come from the specified population.
`java.util.List` | `getLDFeaturesFromDefaultPopulation()` Subset of contained LDFeatures that come from the default population.
`java.util.List` | `getPopulations()` Get all the populations present in this instance.
`java.util.List` | `getPopulations(VariationFeature variationFeature1, VariationFeature variationFeature2)` All the populations referenced by LDFeatures in this instance.
`java.util.List` | `getVariations()` All the variations associated to LDFeatures in this instance.
`java.util.List` | `getVariations(Population population)` Variations associated with the population.
`java.util.List` | `getVariationsFromDefaultPopulation()` All Variations associated with the default population.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDFeatureContainer

    public LDFeatureContainer(java.util.List ldFeatures)

  Create a container for the specified LD features.

Parameters:
  `ldFeatures` - LD Features this container manages.

Method Detail

### getDefaultPopulation

    public Population getDefaultPopulation()

  The default population is the population with the maximum number of LDFeatures.

  Returns:
    the population with the maximum number of LDFeatures.

### getLDFeatures

    public java.util.List getLDFeatures()

  All LDFeatures held in this container.

  Returns:
    zero or more LDFeatures.

### getLDFeatures

    public java.util.List getLDFeatures(Population population)

  Subset of contained LDFeatures that come from the specified population.

  Returns:
    zero or more LDFeatures.

### getLDFeaturesFromDefaultPopulation

    public java.util.List getLDFeaturesFromDefaultPopulation()

  Subset of contained LDFeatures that come from the default population.

  Returns:
    zero or more LDFeatures.
  See Also:
    `getDefaultPopulation()`

### getPopulations

    public java.util.List getPopulations()

  Get all the populations present in this instance.

  Returns:
    all the populations present in this instance.

### getPopulations

    public java.util.List getPopulations(VariationFeature variationFeature1,
                                         VariationFeature variationFeature2)

  All the populations referenced by LDFeatures in this instance.

  Returns:
    All the populations referenced by LDFeatures in this instance.

### getVariations

    public java.util.List getVariations()

  All the variations associated to LDFeatures in this instance. Assocaition: LDFeature->VariationFeature[1,2]->Variation.

  Returns:
    all Variations associated with the LDFeatures.

### getVariations

    public java.util.List getVariations(Population population)

  Variations associated with the population.

  Returns:
    zero or more Variations associated with the population.

### getVariationsFromDefaultPopulation

    public java.util.List getVariationsFromDefaultPopulation()

  All Variations associated with the default population.

  Returns:
    zero or more Variations associated with the default population.
  See Also:
    `getDefaultPopulation()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD